What PHP version do you use? Part 2.

Well, it’s tricky question. I always try to use as newest as possible. First of all, it gives me a lot of brand new features. Secondly, I can assure myself compatibility. I know that my scripts will work even is someone somewhere will upgrade one’s server.

So, my provider gives me PHP 5.2.x, 5.3.x, 5.4.x, 5.5.x, 5.6.x and – for testing purposes – 7.0.x. I use 5.6.x because I’m not sure about their plans about upgrading PHP7. Sometimes I got client, who has PHP 5.4 and I have no choice. Of course I may tell him, that this is obsolete, but you know clients…

At home, as a local developer server, I got PHP7.0.2 now.

Be the first to comment

Leave a Reply

Your email address will not be published.


*